commit:     f84a61ece774585fab444d015e0b16a39e36ec1f
Author:     Ferenc Erki <erkiferenc <AT> gmail <DOT> com>
AuthorDate: Sat Jul 27 15:07:12 2024 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sun Aug  4 07:03:06 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f84a61ec

net-firewall/arno-iptables-firewall: add 2.1.2a

Signed-off-by: Ferenc Erki <erkiferenc <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/37747
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 net-firewall/arno-iptables-firewall/Manifest       |   1 +
 .../arno-iptables-firewall-2.1.2a.ebuild           | 107 +++++++++++++++++++++
 2 files changed, 108 insertions(+)

diff --git a/net-firewall/arno-iptables-firewall/Manifest 
b/net-firewall/arno-iptables-firewall/Manifest
index af9cd4b98d6c..d6f4567b7fa2 100644
--- a/net-firewall/arno-iptables-firewall/Manifest
+++ b/net-firewall/arno-iptables-firewall/Manifest
@@ -1,2 +1,3 @@
 DIST arno-iptables-firewall-2.1.1.tar.gz 141076 BLAKE2B 
d3f78767a3ac447841aa01becfd73434cfddc9f56142d5c6ac86072527c17a30449434b8cddba74bb45f8234268ba589ab2ea932db462317a2dfb714f31f2450
 SHA512 
55494c8a214c0b2dacfef23170ea596bf9ecdfc73d1a6b2bd703183278569f68103eb63580d1b18cae97a9460b95373f0091bbf5decf275c80803a1331555d79
 DIST arno-iptables-firewall-2.1.1a.tar.gz 141116 BLAKE2B 
db6a4b5bfc94d69bbc8f6eb6b15485ae030e62ff26b00aa88e0426fdc711dadfc641a3a3fe55ce1c35ab61900f2d2235fca3d7359879d7255e44c3b19f8bf13f
 SHA512 
1af2bd82434a530d44d2a511ce7416d2c5387ae1fe215e0db47cb72d6517a64c7d4366bfed33e0446d48ed403d55b09306d34aa8528d666f088d9557632b5756
+DIST arno-iptables-firewall-2.1.2a.tar.gz 141918 BLAKE2B 
a70e218ba98a8683aacf28a72494b237925cb343bf55933944244d1927b5202e30dbcb46673d8ac3d7f084208270ae407f8eeb6155a7bfd4c6aecf2a9a392c52
 SHA512 
cabdcc23da99593f32638c1467c20e59b6c13b64e37863e2293cde945ad5cdacb330521abc917813de4e8e1224fe44735dbb71edc56dcb821c3bd8a1bef01604

diff --git 
a/net-firewall/arno-iptables-firewall/arno-iptables-firewall-2.1.2a.ebuild 
b/net-firewall/arno-iptables-firewall/arno-iptables-firewall-2.1.2a.ebuild
new file mode 100644
index 000000000000..f4a281bd6eb5
--- /dev/null
+++ b/net-firewall/arno-iptables-firewall/arno-iptables-firewall-2.1.2a.ebuild
@@ -0,0 +1,107 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit readme.gentoo-r1 systemd
+
+DESCRIPTION="Arno's iptables firewall script"
+HOMEPAGE="https://rocky.eld.leidenuniv.nl 
https://github.com/arno-iptables-firewall/aif";
+
+SRC_URI="https://github.com/${PN}/aif/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+S="${WORKDIR}/aif-${PV}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+plugins rsyslog"
+
+RDEPEND="
+       net-firewall/ipset
+       net-firewall/iptables
+       sys-apps/coreutils
+       sys-apps/iproute2
+       plugins? ( net-dns/bind-tools )
+"
+
+DISABLE_AUTOFORMATTING="yes"
+DOC_CONTENTS="You will need to configure /etc/${PN}/firewall.conf
+before using this package. To start the script, run:
+
+/etc/init.d/${PN} start (for OpenRC)
+systemctl start ${PN} (for systemd)
+
+If you want to start this script at boot, run:
+
+rc-update add ${PN} default (for OpenRC)
+systemctl enable ${PN} (for systemd)"
+
+src_prepare() {
+       sed -i -e 's:/usr/local/share/:/usr/libexec/:' \
+               bin/"${PN}" share/"${PN}"/environment || die "Sed failed!"
+       sed -i -e 's:/usr/local/sbin/:/usr/sbin/:' \
+               lib/systemd/system/"${PN}.service" || die "Sed failed!"
+       eapply_user
+}
+
+src_install() {
+       insinto /etc/"${PN}"
+       doins etc/"${PN}"/firewall.conf
+       doins etc/"${PN}"/custom-rules
+
+       doinitd "${FILESDIR}/${PN}"
+       systemd_dounit lib/systemd/system/"${PN}.service"
+
+       dobin bin/arno-fwfilter
+       dosbin bin/"${PN}"
+
+       insinto /usr/libexec/"${PN}"
+       doins share/"${PN}"/environment
+
+       exeinto /usr/libexec/"${PN}"
+       doexe share/"${PN}"/aif-job-execute
+       doexe share/"${PN}"/aif-job-processor
+
+       insinto /etc/logrotate.d
+       doins etc/logrotate.d/"${PN}"
+
+       dodoc CHANGELOG README
+       readme.gentoo_create_doc
+
+       if use plugins
+       then
+               insinto /etc/"${PN}"/plugins
+               doins etc/"${PN}"/plugins/*
+
+               insinto /usr/libexec/"${PN}"/plugins
+               doins share/"${PN}"/plugins/*.plugin
+               doins share/"${PN}"/plugins/adaptive-ban-helper
+               doins share/"${PN}"/plugins/dyndns-host-open-helper
+               doins share/"${PN}"/plugins/parasitic-net-helper
+               doins share/"${PN}"/plugins/traffic-accounting-helper
+
+               exeinto /usr/libexec/"${PN}"/plugins
+               doexe share/"${PN}"/plugins/traffic-accounting-log-rotate
+               doexe share/"${PN}"/plugins/traffic-accounting-show
+
+               docinto plugins
+               dodoc share/"${PN}"/plugins/*.CHANGELOG
+       fi
+
+       if use rsyslog
+       then
+               insinto /etc/rsyslog.d
+               newins etc/rsyslog.d/"${PN}".conf 20-"${PN}".conf
+       fi
+
+       doman share/man/man1/arno-fwfilter.1 \
+               share/man/man8/"${PN}".8
+}
+
+pkg_postinst() {
+       ewarn "When you stop this script, all firewall rules are flushed!"
+       ewarn "Make sure to not use multiple firewall scripts simultaneously"
+       ewarn "unless you know what you are doing!"
+       readme.gentoo_print_elog
+}

Reply via email to